Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004674TestLinkReportspublic2011-07-19 21:052012-09-01 20:00
Reporterdenjolras 
Assigned ToJulian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004674: Results by Tester per Build : negative purcentage for unassigned test case
DescriptionIf you unassign test cases after theire execution,
then in "Results by Tester per Build", you'll see negative values for purcentage.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon negative percentage.jpg [^] (59,548 bytes) 2011-07-19 21:05

- Relationships

-  Notes
(0015541)
Julian (reporter)
2011-07-19 21:44

Why would you do that?
(0015544)
denjolras (reporter)
2011-07-20 06:15

When a new build is available, most of the test have to be done on the new one.
( but not all, some need to be finished using previous build )

So, it's why we unassign test cases.

I sugest that the % are calcul with the sum of "not run+passed+failed+blocked" instead of Nb assigned.
In case of not run are "N/A", then purcentage of sum of "passed+failed+blocked"
(0015545)
Julian (reporter)
2011-07-20 07:15

When a new build is available, most of the test have to be done on the new one.

-> OK... but why unassign from the old build. simply set the old build to closed and start assigning for the new build.

I see no reason for unassigning tests that have been executed... without a reasonable use case i see no purpose to act.
(0015549)
Julian (reporter)
2011-07-20 08:16

Still this is a bug and i fixed it. The fix should be easy to apply. Everything that has shown "-1" will now show "N/A".

1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/daf47d407a6224f4efee107c6d16d9fa4257eb54 [^]

Master:
http://gitorious.org/testlink-ga/testlink-code/commit/ecb9c4042b0317ec8f9b66a581eda1a379b1c795 [^]
(0017378)
fman (administrator)
2012-09-01 20:00

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-07-19 21:05 denjolras New Issue
2011-07-19 21:05 denjolras File Added: negative percentage.jpg
2011-07-19 21:44 Julian Note Added: 0015541
2011-07-20 06:15 denjolras Note Added: 0015544
2011-07-20 07:15 Julian Note Added: 0015545
2011-07-20 08:16 Julian Note Added: 0015549
2011-07-20 08:16 Julian Status new => resolved
2011-07-20 08:16 Julian Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2011-07-20 08:16 Julian Resolution open => fixed
2011-07-20 08:16 Julian Assigned To => Julian
2012-09-01 20:00 fman Note Added: 0017378
2012-09-01 20:00 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker